# Uses of Interface
org.apache.lucene.util.IOBooleanSupplier

Packages that use IOBooleanSupplier
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

## Uses of IOBooleanSupplier in org.apache.lucene.index

Methods in org.apache.lucene.index that return IOBooleanSupplier
Modifier and Type
Method
Description
`IOBooleanSupplier`
BaseTermsEnum.`prepareSeekExact(BytesRef text)`
`IOBooleanSupplier`
FilteredTermsEnum.`prepareSeekExact(BytesRef text)`
This enum does not support seeking!
`IOBooleanSupplier`
FilterLeafReader.FilterTermsEnum.`prepareSeekExact(BytesRef text)`
`abstract IOBooleanSupplier`
TermsEnum.`prepareSeekExact(BytesRef text)`
Two-phase `TermsEnum.seekExact(org.apache.lucene.util.BytesRef)`.

## Uses of IOBooleanSupplier in org.apache.lucene.search

Methods in org.apache.lucene.search that return IOBooleanSupplier
Modifier and Type
Method
Description
`IOBooleanSupplier`
FuzzyTermsEnum.`prepareSeekExact(BytesRef text)`